import { Key } from '../foundation/key';
import { Duration } from '../../../mx-dart-sdk';
import { FocusNode } from '../widgets/focus-manager';
import { ShapeBorder } from '../painting/borders';
import { VisualDensity, MaterialTapTargetSize } from './theme-data';
import { EdgeInsetsGeometry } from '../painting/edge-insets';
import { Color, Brightness, Clip } from '../../../mx-dart-sdk';
import { ButtonTextTheme } from './button-theme';
import { MouseCursor } from '../rendering/mouse-cursor';
import { StatelessWidget } from '../widgets/framework';
import { MXDartClass, MXWidget } from 'mxflutter-base';
declare class MaterialButton extends StatelessWidget {
    onPressed: any;
    onLongPress: any;
    onHighlightChanged: any;
    mouseCursor: MouseCursor;
    textTheme: ButtonTextTheme;
    textColor: Color;
    disabledTextColor: Color;
    color: Color;
    disabledColor: Color;
    splashColor: Color;
    focusColor: Color;
    hoverColor: Color;
    highlightColor: Color;
    elevation: number;
    hoverElevation: number;
    focusElevation: number;
    highlightElevation: number;
    disabledElevation: number;
    colorBrightness: Brightness;
    child: MXWidget;
    padding: EdgeInsetsGeometry;
    visualDensity: VisualDensity;
    shape: ShapeBorder;
    clipBehavior: Clip;
    focusNode: FocusNode;
    autofocus: boolean;
    animationDuration: Duration;
    materialTapTargetSize: MaterialTapTargetSize;
    minWidth: number;
    height: number;
    enableFeedback: boolean;
    constructor(namedParameters?: {
        key?: Key;
        onPressed?: any;
        onLongPress?: any;
        onHighlightChanged?: any;
        mouseCursor?: MouseCursor;
        textTheme?: ButtonTextTheme;
        textColor?: Color;
        disabledTextColor?: Color;
        color?: Color;
        disabledColor?: Color;
        focusColor?: Color;
        hoverColor?: Color;
        highlightColor?: Color;
        splashColor?: Color;
        colorBrightness?: Brightness;
        elevation?: number;
        focusElevation?: number;
        hoverElevation?: number;
        highlightElevation?: number;
        disabledElevation?: number;
        padding?: EdgeInsetsGeometry;
        visualDensity?: VisualDensity;
        shape?: ShapeBorder;
        clipBehavior?: Clip;
        focusNode?: FocusNode;
        autofocus?: boolean;
        materialTapTargetSize?: MaterialTapTargetSize;
        animationDuration?: Duration;
        minWidth?: number;
        height?: number;
        enableFeedback?: boolean;
        child?: MXWidget;
    });
}
export { MaterialButton };
declare abstract class MaterialButtonWithIconMixin extends MXDartClass {
}
export { MaterialButtonWithIconMixin };
