import { Animation } from '../animation/animation';
import { AnimationController } from '../animation/animation-controller';
import { StatefulWidget, State } from '../widgets/framework';
import { FocusNode } from '../widgets/focus-manager';
import { VisualDensity, MaterialTapTargetSize } from './theme-data';
import { EdgeInsetsGeometry } from '../painting/edge-insets';
import { ButtonTextTheme } from './button-theme';
import { MouseCursor } from '../rendering/mouse-cursor';
import { Key } from '../foundation/key';
import { BorderSide, ShapeBorder } from '../painting/borders';
import { Color, Clip, Brightness } from '../../../mx-dart-sdk';
import { MaterialButton } from './material-button';
import { MXWidget } from 'mxflutter-base';
declare class OutlineButton extends MaterialButton {
    highlightedBorderColor: Color;
    disabledBorderColor: Color;
    borderSide: BorderSide;
    constructor(namedParameters?: {
        key?: Key;
        onPressed?: any;
        onLongPress?: any;
        mouseCursor?: MouseCursor;
        textTheme?: ButtonTextTheme;
        textColor?: Color;
        disabledTextColor?: Color;
        color?: Color;
        focusColor?: Color;
        hoverColor?: Color;
        highlightColor?: Color;
        splashColor?: Color;
        highlightElevation?: number;
        borderSide?: BorderSide;
        disabledBorderColor?: Color;
        highlightedBorderColor?: Color;
        padding?: EdgeInsetsGeometry;
        visualDensity?: VisualDensity;
        shape?: ShapeBorder;
        clipBehavior?: Clip;
        focusNode?: FocusNode;
        autofocus?: boolean;
        materialTapTargetSize?: MaterialTapTargetSize;
        child?: MXWidget;
    });
    static icon(namedParameters?: {
        key?: Key;
        onPressed?: any;
        onLongPress?: any;
        mouseCursor?: MouseCursor;
        textTheme?: ButtonTextTheme;
        textColor?: Color;
        disabledTextColor?: Color;
        color?: Color;
        focusColor?: Color;
        hoverColor?: Color;
        highlightColor?: Color;
        splashColor?: Color;
        highlightElevation?: number;
        highlightedBorderColor?: Color;
        disabledBorderColor?: Color;
        borderSide?: BorderSide;
        padding?: EdgeInsetsGeometry;
        visualDensity?: VisualDensity;
        shape?: ShapeBorder;
        clipBehavior?: Clip;
        focusNode?: FocusNode;
        autofocus?: boolean;
        materialTapTargetSize?: MaterialTapTargetSize;
        icon?: MXWidget;
        label?: MXWidget;
    }): OutlineButton;
}
export { OutlineButton };
declare class _OutlineButtonWithIcon extends OutlineButton {
    constructor(namedParameters?: {
        key?: Key;
        onPressed?: any;
        onLongPress?: any;
        mouseCursor?: MouseCursor;
        textTheme?: ButtonTextTheme;
        textColor?: Color;
        disabledTextColor?: Color;
        color?: Color;
        focusColor?: Color;
        hoverColor?: Color;
        highlightColor?: Color;
        splashColor?: Color;
        highlightElevation?: number;
        highlightedBorderColor?: Color;
        disabledBorderColor?: Color;
        borderSide?: BorderSide;
        padding?: EdgeInsetsGeometry;
        visualDensity?: VisualDensity;
        shape?: ShapeBorder;
        clipBehavior?: Clip;
        focusNode?: FocusNode;
        autofocus?: boolean;
        materialTapTargetSize?: MaterialTapTargetSize;
        icon?: MXWidget;
        label?: MXWidget;
    });
}
export { _OutlineButtonWithIcon };
declare class _OutlineButton extends StatefulWidget {
    onPressed: any;
    onLongPress: any;
    mouseCursor: MouseCursor;
    brightness: Brightness;
    textTheme: ButtonTextTheme;
    textColor: Color;
    disabledTextColor: Color;
    color: Color;
    splashColor: Color;
    focusColor: Color;
    hoverColor: Color;
    highlightColor: Color;
    highlightElevation: number;
    borderSide: BorderSide;
    disabledBorderColor: Color;
    highlightedBorderColor: Color;
    padding: EdgeInsetsGeometry;
    visualDensity: VisualDensity;
    shape: ShapeBorder;
    clipBehavior: Clip;
    focusNode: FocusNode;
    autofocus: boolean;
    child: MXWidget;
    materialTapTargetSize: MaterialTapTargetSize;
    constructor(namedParameters?: {
        key?: Key;
        onPressed?: any;
        onLongPress?: any;
        mouseCursor?: MouseCursor;
        brightness?: Brightness;
        textTheme?: ButtonTextTheme;
        textColor?: Color;
        disabledTextColor?: Color;
        color?: Color;
        focusColor?: Color;
        hoverColor?: Color;
        highlightColor?: Color;
        splashColor?: Color;
        highlightElevation?: number;
        borderSide?: BorderSide;
        disabledBorderColor?: Color;
        highlightedBorderColor?: Color;
        padding?: EdgeInsetsGeometry;
        visualDensity?: VisualDensity;
        shape?: ShapeBorder;
        clipBehavior?: Clip;
        focusNode?: FocusNode;
        autofocus?: boolean;
        child?: MXWidget;
        materialTapTargetSize?: MaterialTapTargetSize;
    });
}
export { _OutlineButton };
declare class _OutlineButtonState extends State {
    controller: AnimationController;
    fillAnimation: Animation;
    elevationAnimation: Animation;
    pressed: boolean;
}
export { _OutlineButtonState };
declare class _OutlineBorder extends ShapeBorder {
    shape: ShapeBorder;
    side: BorderSide;
    constructor(namedParameters?: {
        shape?: ShapeBorder;
        side?: BorderSide;
    });
}
export { _OutlineBorder };
