import { Duration } from '../../../mx-dart-sdk';
import { FocusNode } from '../widgets/focus-manager';
import { ShapeBorder } from '../painting/borders';
import { VisualDensity, MaterialTapTargetSize } from './theme-data';
import { EdgeInsetsGeometry } from '../painting/edge-insets';
import { Color, Brightness, Clip } from '../../../mx-dart-sdk';
import { ButtonTextTheme } from './button-theme';
import { MouseCursor } from '../rendering/mouse-cursor';
import { Key } from '../foundation/key';
import { MaterialButton } from './material-button';
import { MXWidget } from 'mxflutter-base';
declare class RaisedButton extends MaterialButton {
    constructor(namedParameters?: {
        key?: Key;
        onPressed?: any;
        onLongPress?: any;
        onHighlightChanged?: any;
        mouseCursor?: MouseCursor;
        textTheme?: ButtonTextTheme;
        textColor?: Color;
        disabledTextColor?: Color;
        color?: Color;
        disabledColor?: Color;
        focusColor?: Color;
        hoverColor?: Color;
        highlightColor?: Color;
        splashColor?: Color;
        colorBrightness?: Brightness;
        elevation?: number;
        focusElevation?: number;
        hoverElevation?: number;
        highlightElevation?: number;
        disabledElevation?: number;
        padding?: EdgeInsetsGeometry;
        visualDensity?: VisualDensity;
        shape?: ShapeBorder;
        clipBehavior?: Clip;
        focusNode?: FocusNode;
        autofocus?: boolean;
        materialTapTargetSize?: MaterialTapTargetSize;
        animationDuration?: Duration;
        child?: MXWidget;
    });
    static icon(namedParameters?: {
        key?: Key;
        onPressed?: any;
        onLongPress?: any;
        onHighlightChanged?: any;
        mouseCursor?: MouseCursor;
        textTheme?: ButtonTextTheme;
        textColor?: Color;
        disabledTextColor?: Color;
        color?: Color;
        disabledColor?: Color;
        focusColor?: Color;
        hoverColor?: Color;
        highlightColor?: Color;
        splashColor?: Color;
        colorBrightness?: Brightness;
        elevation?: number;
        highlightElevation?: number;
        disabledElevation?: number;
        shape?: ShapeBorder;
        clipBehavior?: Clip;
        focusNode?: FocusNode;
        autofocus?: boolean;
        padding?: EdgeInsetsGeometry;
        materialTapTargetSize?: MaterialTapTargetSize;
        animationDuration?: Duration;
        icon?: MXWidget;
        label?: MXWidget;
    }): RaisedButton;
}
export { RaisedButton };
declare class _RaisedButtonWithIcon extends RaisedButton {
    constructor(namedParameters?: {
        key?: Key;
        onPressed?: any;
        onLongPress?: any;
        onHighlightChanged?: any;
        mouseCursor?: MouseCursor;
        textTheme?: ButtonTextTheme;
        textColor?: Color;
        disabledTextColor?: Color;
        color?: Color;
        disabledColor?: Color;
        focusColor?: Color;
        hoverColor?: Color;
        highlightColor?: Color;
        splashColor?: Color;
        colorBrightness?: Brightness;
        elevation?: number;
        highlightElevation?: number;
        disabledElevation?: number;
        shape?: ShapeBorder;
        clipBehavior?: Clip;
        focusNode?: FocusNode;
        autofocus?: boolean;
        padding?: EdgeInsetsGeometry;
        materialTapTargetSize?: MaterialTapTargetSize;
        animationDuration?: Duration;
        icon?: MXWidget;
        label?: MXWidget;
    });
}
export { _RaisedButtonWithIcon };
