import { TapGestureRecognizer } from '../gestures/tap';
import { Color, Offset } from '../../../mx-dart-sdk';
import { TickerProvider } from '../scheduler/ticker';
import { Animation } from '../animation/animation';
import { CurvedAnimation } from '../animation/animations';
import { AnimationController } from '../animation/animation-controller';
import { RenderConstrainedBox } from '../rendering/proxy-box';
declare abstract class RenderToggleable extends RenderConstrainedBox {
    positionController: AnimationController;
    position: CurvedAnimation;
    reactionController: AnimationController;
    reaction: Animation;
    reactionFocusFadeController: AnimationController;
    reactionFocusFade: Animation;
    reactionHoverFadeController: AnimationController;
    reactionHoverFade: Animation;
    hasFocus: boolean;
    hovering: boolean;
    vsync: TickerProvider;
    value: boolean;
    tristate: boolean;
    activeColor: Color;
    inactiveColor: Color;
    hoverColor: Color;
    focusColor: Color;
    reactionColor: Color;
    onChanged: any;
    tap: TapGestureRecognizer;
    downPosition: Offset;
}
export { RenderToggleable };
