"use strict";
// Copyright (C) 2021 THL A29 Limited, a Tencent company.  All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextStyle = void 0;
// MX Modified begin
const mx_dart_sdk_1 = require("../../../mx-dart-sdk");
// MX Modified end
const mx_dart_sdk_2 = require("../../../mx-dart-sdk");
const mxflutter_base_1 = require("mxflutter-base");
class TextStyle extends mxflutter_base_1.MXDartClass {
    constructor(namedParameters = {}) {
        super();
        this.inherit = namedParameters.inherit;
        this.color = namedParameters.color;
        this.backgroundColor = namedParameters.backgroundColor;
        this.fontSize = namedParameters.fontSize;
        this.fontWeight = namedParameters.fontWeight;
        this.fontStyle = namedParameters.fontStyle;
        this.letterSpacing = namedParameters.letterSpacing;
        this.wordSpacing = namedParameters.wordSpacing;
        this.textBaseline = namedParameters.textBaseline;
        this.height = namedParameters.height;
        this.locale = namedParameters.locale;
        this.foreground = namedParameters.foreground;
        this.background = namedParameters.background;
        this.shadows = namedParameters.shadows;
        this.fontFeatures = namedParameters.fontFeatures;
        this.decoration = namedParameters.decoration;
        this.decorationColor = namedParameters.decorationColor;
        this.decorationStyle = namedParameters.decorationStyle;
        this.decorationThickness = namedParameters.decorationThickness;
        this.debugLabel = namedParameters.debugLabel;
        this.fontFamily = namedParameters.fontFamily;
        this.fontFamilyFallback = namedParameters.fontFamilyFallback;
        this.__mx_package = namedParameters.__mx_package;
        this.className = 'TextStyle';
    }
    // MX modified begin
    static fromJson(mapObj) {
        if (mapObj === null || mapObj === undefined) {
            return null;
        }
        const obj = new TextStyle();
        for (const p in mapObj) {
            if (mapObj.hasOwnProperty(p)) {
                const v = mapObj[p];
                if (v == null || v == undefined) {
                    obj[p] = v;
                    continue;
                }
                switch (p) {
                    case 'color':
                    case 'decorationColor':
                        obj[p] = new mx_dart_sdk_2.Color(v);
                        break;
                    case 'locale':
                        obj[p] = mx_dart_sdk_2.Locale.fromJson(v);
                        break;
                    case 'shadows':
                        {
                            let shadowArray = [];
                            for (const shadow of v) {
                                shadowArray.push(mx_dart_sdk_1.Shadow.fromJson(shadow));
                            }
                            obj[p] = shadowArray;
                        }
                        break;
                    default:
                        obj[p] = v;
                        break;
                }
            }
        }
        return obj;
    }
    // MX modified end
    copyWith(namedParameters = {}) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y;
        return new TextStyle({
            inherit: (_a = namedParameters.inherit) !== null && _a !== void 0 ? _a : this.inherit,
            color: (_b = namedParameters.color) !== null && _b !== void 0 ? _b : this.color,
            backgroundColor: (_c = namedParameters.backgroundColor) !== null && _c !== void 0 ? _c : this.backgroundColor,
            fontSize: (_d = namedParameters.fontSize) !== null && _d !== void 0 ? _d : this.fontSize,
            fontWeight: (_e = namedParameters.fontWeight) !== null && _e !== void 0 ? _e : this.fontWeight,
            fontStyle: (_f = namedParameters.fontStyle) !== null && _f !== void 0 ? _f : this.fontStyle,
            letterSpacing: (_g = namedParameters.letterSpacing) !== null && _g !== void 0 ? _g : this.letterSpacing,
            wordSpacing: (_h = namedParameters.wordSpacing) !== null && _h !== void 0 ? _h : this.wordSpacing,
            textBaseline: (_j = namedParameters.textBaseline) !== null && _j !== void 0 ? _j : this.textBaseline,
            height: (_k = namedParameters.height) !== null && _k !== void 0 ? _k : this.height,
            locale: (_l = namedParameters.locale) !== null && _l !== void 0 ? _l : this.locale,
            foreground: (_m = namedParameters.foreground) !== null && _m !== void 0 ? _m : this.foreground,
            background: (_o = namedParameters.background) !== null && _o !== void 0 ? _o : this.background,
            shadows: (_p = namedParameters.shadows) !== null && _p !== void 0 ? _p : this.shadows,
            fontFeatures: (_q = namedParameters.fontFeatures) !== null && _q !== void 0 ? _q : this.fontFeatures,
            decoration: (_r = namedParameters.decoration) !== null && _r !== void 0 ? _r : this.decoration,
            decorationColor: (_s = namedParameters.decorationColor) !== null && _s !== void 0 ? _s : this.decorationColor,
            decorationStyle: (_t = namedParameters.decorationStyle) !== null && _t !== void 0 ? _t : this.decorationStyle,
            decorationThickness: (_u = namedParameters.decorationThickness) !== null && _u !== void 0 ? _u : this.decorationThickness,
            debugLabel: (_v = namedParameters.debugLabel) !== null && _v !== void 0 ? _v : this.debugLabel,
            fontFamily: (_w = namedParameters.fontFamily) !== null && _w !== void 0 ? _w : this.fontFamily,
            fontFamilyFallback: (_x = namedParameters.fontFamilyFallback) !== null && _x !== void 0 ? _x : this.fontFamilyFallback,
            __mx_package: (_y = namedParameters.__mx_package) !== null && _y !== void 0 ? _y : this.__mx_package,
        });
    }
}
exports.TextStyle = TextStyle;
