import { MXDartClass } from 'mxflutter-base';
declare abstract class KeyboardKey extends MXDartClass {
}
export { KeyboardKey };
declare class LogicalKeyboardKey extends KeyboardKey {
    keyId: number;
    debugName: string;
    keyLabel: string;
    constructor(keyId?: number, namedParameters?: {
        debugName?: string;
        keyLabel?: string;
    });
    static get valueMask(): number;
    static get platformMask(): number;
    static get autogeneratedMask(): number;
    static get synonymMask(): number;
    static get unicodePlane(): number;
    static get hidPlane(): number;
    static get none(): LogicalKeyboardKey;
    static get hyper(): LogicalKeyboardKey;
    static get superKey(): LogicalKeyboardKey;
    static get fnLock(): LogicalKeyboardKey;
    static get suspend(): LogicalKeyboardKey;
    static get resume(): LogicalKeyboardKey;
    static get turbo(): LogicalKeyboardKey;
    static get privacyScreenToggle(): LogicalKeyboardKey;
    static get sleep(): LogicalKeyboardKey;
    static get wakeUp(): LogicalKeyboardKey;
    static get displayToggleIntExt(): LogicalKeyboardKey;
    static get usbReserved(): LogicalKeyboardKey;
    static get usbErrorRollOver(): LogicalKeyboardKey;
    static get usbPostFail(): LogicalKeyboardKey;
    static get usbErrorUndefined(): LogicalKeyboardKey;
    static get keyA(): LogicalKeyboardKey;
    static get keyB(): LogicalKeyboardKey;
    static get keyC(): LogicalKeyboardKey;
    static get keyD(): LogicalKeyboardKey;
    static get keyE(): LogicalKeyboardKey;
    static get keyF(): LogicalKeyboardKey;
    static get keyG(): LogicalKeyboardKey;
    static get keyH(): LogicalKeyboardKey;
    static get keyI(): LogicalKeyboardKey;
    static get keyJ(): LogicalKeyboardKey;
    static get keyK(): LogicalKeyboardKey;
    static get keyL(): LogicalKeyboardKey;
    static get keyM(): LogicalKeyboardKey;
    static get keyN(): LogicalKeyboardKey;
    static get keyO(): LogicalKeyboardKey;
    static get keyP(): LogicalKeyboardKey;
    static get keyQ(): LogicalKeyboardKey;
    static get keyR(): LogicalKeyboardKey;
    static get keyS(): LogicalKeyboardKey;
    static get keyT(): LogicalKeyboardKey;
    static get keyU(): LogicalKeyboardKey;
    static get keyV(): LogicalKeyboardKey;
    static get keyW(): LogicalKeyboardKey;
    static get keyX(): LogicalKeyboardKey;
    static get keyY(): LogicalKeyboardKey;
    static get keyZ(): LogicalKeyboardKey;
    static get digit1(): LogicalKeyboardKey;
    static get digit2(): LogicalKeyboardKey;
    static get digit3(): LogicalKeyboardKey;
    static get digit4(): LogicalKeyboardKey;
    static get digit5(): LogicalKeyboardKey;
    static get digit6(): LogicalKeyboardKey;
    static get digit7(): LogicalKeyboardKey;
    static get digit8(): LogicalKeyboardKey;
    static get digit9(): LogicalKeyboardKey;
    static get digit0(): LogicalKeyboardKey;
    static get enter(): LogicalKeyboardKey;
    static get escape(): LogicalKeyboardKey;
    static get backspace(): LogicalKeyboardKey;
    static get tab(): LogicalKeyboardKey;
    static get space(): LogicalKeyboardKey;
    static get minus(): LogicalKeyboardKey;
    static get equal(): LogicalKeyboardKey;
    static get bracketLeft(): LogicalKeyboardKey;
    static get bracketRight(): LogicalKeyboardKey;
    static get backslash(): LogicalKeyboardKey;
    static get semicolon(): LogicalKeyboardKey;
    static get quote(): LogicalKeyboardKey;
    static get backquote(): LogicalKeyboardKey;
    static get comma(): LogicalKeyboardKey;
    static get period(): LogicalKeyboardKey;
    static get slash(): LogicalKeyboardKey;
    static get capsLock(): LogicalKeyboardKey;
    static get f1(): LogicalKeyboardKey;
    static get f2(): LogicalKeyboardKey;
    static get f3(): LogicalKeyboardKey;
    static get f4(): LogicalKeyboardKey;
    static get f5(): LogicalKeyboardKey;
    static get f6(): LogicalKeyboardKey;
    static get f7(): LogicalKeyboardKey;
    static get f8(): LogicalKeyboardKey;
    static get f9(): LogicalKeyboardKey;
    static get f10(): LogicalKeyboardKey;
    static get f11(): LogicalKeyboardKey;
    static get f12(): LogicalKeyboardKey;
    static get printScreen(): LogicalKeyboardKey;
    static get scrollLock(): LogicalKeyboardKey;
    static get pause(): LogicalKeyboardKey;
    static get insert(): LogicalKeyboardKey;
    static get home(): LogicalKeyboardKey;
    static get pageUp(): LogicalKeyboardKey;
    static get mx_delete(): LogicalKeyboardKey;
    static get end(): LogicalKeyboardKey;
    static get pageDown(): LogicalKeyboardKey;
    static get arrowRight(): LogicalKeyboardKey;
    static get arrowLeft(): LogicalKeyboardKey;
    static get arrowDown(): LogicalKeyboardKey;
    static get arrowUp(): LogicalKeyboardKey;
    static get numLock(): LogicalKeyboardKey;
    static get numpadDivide(): LogicalKeyboardKey;
    static get numpadMultiply(): LogicalKeyboardKey;
    static get numpadSubtract(): LogicalKeyboardKey;
    static get numpadAdd(): LogicalKeyboardKey;
    static get numpadEnter(): LogicalKeyboardKey;
    static get numpad1(): LogicalKeyboardKey;
    static get numpad2(): LogicalKeyboardKey;
    static get numpad3(): LogicalKeyboardKey;
    static get numpad4(): LogicalKeyboardKey;
    static get numpad5(): LogicalKeyboardKey;
    static get numpad6(): LogicalKeyboardKey;
    static get numpad7(): LogicalKeyboardKey;
    static get numpad8(): LogicalKeyboardKey;
    static get numpad9(): LogicalKeyboardKey;
    static get numpad0(): LogicalKeyboardKey;
    static get numpadDecimal(): LogicalKeyboardKey;
    static get intlBackslash(): LogicalKeyboardKey;
    static get contextMenu(): LogicalKeyboardKey;
    static get power(): LogicalKeyboardKey;
    static get numpadEqual(): LogicalKeyboardKey;
    static get f13(): LogicalKeyboardKey;
    static get f14(): LogicalKeyboardKey;
    static get f15(): LogicalKeyboardKey;
    static get f16(): LogicalKeyboardKey;
    static get f17(): LogicalKeyboardKey;
    static get f18(): LogicalKeyboardKey;
    static get f19(): LogicalKeyboardKey;
    static get f20(): LogicalKeyboardKey;
    static get f21(): LogicalKeyboardKey;
    static get f22(): LogicalKeyboardKey;
    static get f23(): LogicalKeyboardKey;
    static get f24(): LogicalKeyboardKey;
    static get open(): LogicalKeyboardKey;
    static get help(): LogicalKeyboardKey;
    static get select(): LogicalKeyboardKey;
    static get again(): LogicalKeyboardKey;
    static get undo(): LogicalKeyboardKey;
    static get cut(): LogicalKeyboardKey;
    static get copy(): LogicalKeyboardKey;
    static get paste(): LogicalKeyboardKey;
    static get find(): LogicalKeyboardKey;
    static get audioVolumeMute(): LogicalKeyboardKey;
    static get audioVolumeUp(): LogicalKeyboardKey;
    static get audioVolumeDown(): LogicalKeyboardKey;
    static get numpadComma(): LogicalKeyboardKey;
    static get intlRo(): LogicalKeyboardKey;
    static get kanaMode(): LogicalKeyboardKey;
    static get intlYen(): LogicalKeyboardKey;
    static get convert(): LogicalKeyboardKey;
    static get nonConvert(): LogicalKeyboardKey;
    static get lang1(): LogicalKeyboardKey;
    static get lang2(): LogicalKeyboardKey;
    static get lang3(): LogicalKeyboardKey;
    static get lang4(): LogicalKeyboardKey;
    static get lang5(): LogicalKeyboardKey;
    static get abort(): LogicalKeyboardKey;
    static get props(): LogicalKeyboardKey;
    static get numpadParenLeft(): LogicalKeyboardKey;
    static get numpadParenRight(): LogicalKeyboardKey;
    static get numpadBackspace(): LogicalKeyboardKey;
    static get numpadMemoryStore(): LogicalKeyboardKey;
    static get numpadMemoryRecall(): LogicalKeyboardKey;
    static get numpadMemoryClear(): LogicalKeyboardKey;
    static get numpadMemoryAdd(): LogicalKeyboardKey;
    static get numpadMemorySubtract(): LogicalKeyboardKey;
    static get numpadSignChange(): LogicalKeyboardKey;
    static get numpadClear(): LogicalKeyboardKey;
    static get numpadClearEntry(): LogicalKeyboardKey;
    static get controlLeft(): LogicalKeyboardKey;
    static get shiftLeft(): LogicalKeyboardKey;
    static get altLeft(): LogicalKeyboardKey;
    static get metaLeft(): LogicalKeyboardKey;
    static get controlRight(): LogicalKeyboardKey;
    static get shiftRight(): LogicalKeyboardKey;
    static get altRight(): LogicalKeyboardKey;
    static get metaRight(): LogicalKeyboardKey;
    static get info(): LogicalKeyboardKey;
    static get closedCaptionToggle(): LogicalKeyboardKey;
    static get brightnessUp(): LogicalKeyboardKey;
    static get brightnessDown(): LogicalKeyboardKey;
    static get brightnessToggle(): LogicalKeyboardKey;
    static get brightnessMinimum(): LogicalKeyboardKey;
    static get brightnessMaximum(): LogicalKeyboardKey;
    static get brightnessAuto(): LogicalKeyboardKey;
    static get kbdIllumUp(): LogicalKeyboardKey;
    static get kbdIllumDown(): LogicalKeyboardKey;
    static get mediaLast(): LogicalKeyboardKey;
    static get launchPhone(): LogicalKeyboardKey;
    static get programGuide(): LogicalKeyboardKey;
    static get exit(): LogicalKeyboardKey;
    static get channelUp(): LogicalKeyboardKey;
    static get channelDown(): LogicalKeyboardKey;
    static get mediaPlay(): LogicalKeyboardKey;
    static get mediaPause(): LogicalKeyboardKey;
    static get mediaRecord(): LogicalKeyboardKey;
    static get mediaFastForward(): LogicalKeyboardKey;
    static get mediaRewind(): LogicalKeyboardKey;
    static get mediaTrackNext(): LogicalKeyboardKey;
    static get mediaTrackPrevious(): LogicalKeyboardKey;
    static get mediaStop(): LogicalKeyboardKey;
    static get eject(): LogicalKeyboardKey;
    static get mediaPlayPause(): LogicalKeyboardKey;
    static get speechInputToggle(): LogicalKeyboardKey;
    static get bassBoost(): LogicalKeyboardKey;
    static get mediaSelect(): LogicalKeyboardKey;
    static get launchWordProcessor(): LogicalKeyboardKey;
    static get launchSpreadsheet(): LogicalKeyboardKey;
    static get launchMail(): LogicalKeyboardKey;
    static get launchContacts(): LogicalKeyboardKey;
    static get launchCalendar(): LogicalKeyboardKey;
    static get launchApp2(): LogicalKeyboardKey;
    static get launchApp1(): LogicalKeyboardKey;
    static get launchInternetBrowser(): LogicalKeyboardKey;
    static get logOff(): LogicalKeyboardKey;
    static get lockScreen(): LogicalKeyboardKey;
    static get launchControlPanel(): LogicalKeyboardKey;
    static get selectTask(): LogicalKeyboardKey;
    static get launchDocuments(): LogicalKeyboardKey;
    static get spellCheck(): LogicalKeyboardKey;
    static get launchKeyboardLayout(): LogicalKeyboardKey;
    static get launchScreenSaver(): LogicalKeyboardKey;
    static get launchAssistant(): LogicalKeyboardKey;
    static get launchAudioBrowser(): LogicalKeyboardKey;
    static get newKey(): LogicalKeyboardKey;
    static get close(): LogicalKeyboardKey;
    static get save(): LogicalKeyboardKey;
    static get print(): LogicalKeyboardKey;
    static get browserSearch(): LogicalKeyboardKey;
    static get browserHome(): LogicalKeyboardKey;
    static get browserBack(): LogicalKeyboardKey;
    static get browserForward(): LogicalKeyboardKey;
    static get browserStop(): LogicalKeyboardKey;
    static get browserRefresh(): LogicalKeyboardKey;
    static get browserFavorites(): LogicalKeyboardKey;
    static get zoomIn(): LogicalKeyboardKey;
    static get zoomOut(): LogicalKeyboardKey;
    static get zoomToggle(): LogicalKeyboardKey;
    static get redo(): LogicalKeyboardKey;
    static get mailReply(): LogicalKeyboardKey;
    static get mailForward(): LogicalKeyboardKey;
    static get mailSend(): LogicalKeyboardKey;
    static get keyboardLayoutSelect(): LogicalKeyboardKey;
    static get showAllWindows(): LogicalKeyboardKey;
    static get gameButton1(): LogicalKeyboardKey;
    static get gameButton2(): LogicalKeyboardKey;
    static get gameButton3(): LogicalKeyboardKey;
    static get gameButton4(): LogicalKeyboardKey;
    static get gameButton5(): LogicalKeyboardKey;
    static get gameButton6(): LogicalKeyboardKey;
    static get gameButton7(): LogicalKeyboardKey;
    static get gameButton8(): LogicalKeyboardKey;
    static get gameButton9(): LogicalKeyboardKey;
    static get gameButton10(): LogicalKeyboardKey;
    static get gameButton11(): LogicalKeyboardKey;
    static get gameButton12(): LogicalKeyboardKey;
    static get gameButton13(): LogicalKeyboardKey;
    static get gameButton14(): LogicalKeyboardKey;
    static get gameButton15(): LogicalKeyboardKey;
    static get gameButton16(): LogicalKeyboardKey;
    static get gameButtonA(): LogicalKeyboardKey;
    static get gameButtonB(): LogicalKeyboardKey;
    static get gameButtonC(): LogicalKeyboardKey;
    static get gameButtonLeft1(): LogicalKeyboardKey;
    static get gameButtonLeft2(): LogicalKeyboardKey;
    static get gameButtonMode(): LogicalKeyboardKey;
    static get gameButtonRight1(): LogicalKeyboardKey;
    static get gameButtonRight2(): LogicalKeyboardKey;
    static get gameButtonSelect(): LogicalKeyboardKey;
    static get gameButtonStart(): LogicalKeyboardKey;
    static get gameButtonThumbLeft(): LogicalKeyboardKey;
    static get gameButtonThumbRight(): LogicalKeyboardKey;
    static get gameButtonX(): LogicalKeyboardKey;
    static get gameButtonY(): LogicalKeyboardKey;
    static get gameButtonZ(): LogicalKeyboardKey;
    static get fn(): LogicalKeyboardKey;
    static get shift(): LogicalKeyboardKey;
    static get meta(): LogicalKeyboardKey;
    static get alt(): LogicalKeyboardKey;
    static get control(): LogicalKeyboardKey;
}
export { LogicalKeyboardKey };
declare class PhysicalKeyboardKey extends KeyboardKey {
    usbHidUsage: number;
    debugName: string;
    constructor(usbHidUsage?: number, namedParameters?: {
        debugName?: string;
    });
    static get none(): PhysicalKeyboardKey;
    static get hyper(): PhysicalKeyboardKey;
    static get superKey(): PhysicalKeyboardKey;
    static get fnLock(): PhysicalKeyboardKey;
    static get suspend(): PhysicalKeyboardKey;
    static get resume(): PhysicalKeyboardKey;
    static get turbo(): PhysicalKeyboardKey;
    static get privacyScreenToggle(): PhysicalKeyboardKey;
    static get sleep(): PhysicalKeyboardKey;
    static get wakeUp(): PhysicalKeyboardKey;
    static get displayToggleIntExt(): PhysicalKeyboardKey;
    static get usbReserved(): PhysicalKeyboardKey;
    static get usbErrorRollOver(): PhysicalKeyboardKey;
    static get usbPostFail(): PhysicalKeyboardKey;
    static get usbErrorUndefined(): PhysicalKeyboardKey;
    static get keyA(): PhysicalKeyboardKey;
    static get keyB(): PhysicalKeyboardKey;
    static get keyC(): PhysicalKeyboardKey;
    static get keyD(): PhysicalKeyboardKey;
    static get keyE(): PhysicalKeyboardKey;
    static get keyF(): PhysicalKeyboardKey;
    static get keyG(): PhysicalKeyboardKey;
    static get keyH(): PhysicalKeyboardKey;
    static get keyI(): PhysicalKeyboardKey;
    static get keyJ(): PhysicalKeyboardKey;
    static get keyK(): PhysicalKeyboardKey;
    static get keyL(): PhysicalKeyboardKey;
    static get keyM(): PhysicalKeyboardKey;
    static get keyN(): PhysicalKeyboardKey;
    static get keyO(): PhysicalKeyboardKey;
    static get keyP(): PhysicalKeyboardKey;
    static get keyQ(): PhysicalKeyboardKey;
    static get keyR(): PhysicalKeyboardKey;
    static get keyS(): PhysicalKeyboardKey;
    static get keyT(): PhysicalKeyboardKey;
    static get keyU(): PhysicalKeyboardKey;
    static get keyV(): PhysicalKeyboardKey;
    static get keyW(): PhysicalKeyboardKey;
    static get keyX(): PhysicalKeyboardKey;
    static get keyY(): PhysicalKeyboardKey;
    static get keyZ(): PhysicalKeyboardKey;
    static get digit1(): PhysicalKeyboardKey;
    static get digit2(): PhysicalKeyboardKey;
    static get digit3(): PhysicalKeyboardKey;
    static get digit4(): PhysicalKeyboardKey;
    static get digit5(): PhysicalKeyboardKey;
    static get digit6(): PhysicalKeyboardKey;
    static get digit7(): PhysicalKeyboardKey;
    static get digit8(): PhysicalKeyboardKey;
    static get digit9(): PhysicalKeyboardKey;
    static get digit0(): PhysicalKeyboardKey;
    static get enter(): PhysicalKeyboardKey;
    static get escape(): PhysicalKeyboardKey;
    static get backspace(): PhysicalKeyboardKey;
    static get tab(): PhysicalKeyboardKey;
    static get space(): PhysicalKeyboardKey;
    static get minus(): PhysicalKeyboardKey;
    static get equal(): PhysicalKeyboardKey;
    static get bracketLeft(): PhysicalKeyboardKey;
    static get bracketRight(): PhysicalKeyboardKey;
    static get backslash(): PhysicalKeyboardKey;
    static get semicolon(): PhysicalKeyboardKey;
    static get quote(): PhysicalKeyboardKey;
    static get backquote(): PhysicalKeyboardKey;
    static get comma(): PhysicalKeyboardKey;
    static get period(): PhysicalKeyboardKey;
    static get slash(): PhysicalKeyboardKey;
    static get capsLock(): PhysicalKeyboardKey;
    static get f1(): PhysicalKeyboardKey;
    static get f2(): PhysicalKeyboardKey;
    static get f3(): PhysicalKeyboardKey;
    static get f4(): PhysicalKeyboardKey;
    static get f5(): PhysicalKeyboardKey;
    static get f6(): PhysicalKeyboardKey;
    static get f7(): PhysicalKeyboardKey;
    static get f8(): PhysicalKeyboardKey;
    static get f9(): PhysicalKeyboardKey;
    static get f10(): PhysicalKeyboardKey;
    static get f11(): PhysicalKeyboardKey;
    static get f12(): PhysicalKeyboardKey;
    static get printScreen(): PhysicalKeyboardKey;
    static get scrollLock(): PhysicalKeyboardKey;
    static get pause(): PhysicalKeyboardKey;
    static get insert(): PhysicalKeyboardKey;
    static get home(): PhysicalKeyboardKey;
    static get pageUp(): PhysicalKeyboardKey;
    static get mx_delete(): PhysicalKeyboardKey;
    static get end(): PhysicalKeyboardKey;
    static get pageDown(): PhysicalKeyboardKey;
    static get arrowRight(): PhysicalKeyboardKey;
    static get arrowLeft(): PhysicalKeyboardKey;
    static get arrowDown(): PhysicalKeyboardKey;
    static get arrowUp(): PhysicalKeyboardKey;
    static get numLock(): PhysicalKeyboardKey;
    static get numpadDivide(): PhysicalKeyboardKey;
    static get numpadMultiply(): PhysicalKeyboardKey;
    static get numpadSubtract(): PhysicalKeyboardKey;
    static get numpadAdd(): PhysicalKeyboardKey;
    static get numpadEnter(): PhysicalKeyboardKey;
    static get numpad1(): PhysicalKeyboardKey;
    static get numpad2(): PhysicalKeyboardKey;
    static get numpad3(): PhysicalKeyboardKey;
    static get numpad4(): PhysicalKeyboardKey;
    static get numpad5(): PhysicalKeyboardKey;
    static get numpad6(): PhysicalKeyboardKey;
    static get numpad7(): PhysicalKeyboardKey;
    static get numpad8(): PhysicalKeyboardKey;
    static get numpad9(): PhysicalKeyboardKey;
    static get numpad0(): PhysicalKeyboardKey;
    static get numpadDecimal(): PhysicalKeyboardKey;
    static get intlBackslash(): PhysicalKeyboardKey;
    static get contextMenu(): PhysicalKeyboardKey;
    static get power(): PhysicalKeyboardKey;
    static get numpadEqual(): PhysicalKeyboardKey;
    static get f13(): PhysicalKeyboardKey;
    static get f14(): PhysicalKeyboardKey;
    static get f15(): PhysicalKeyboardKey;
    static get f16(): PhysicalKeyboardKey;
    static get f17(): PhysicalKeyboardKey;
    static get f18(): PhysicalKeyboardKey;
    static get f19(): PhysicalKeyboardKey;
    static get f20(): PhysicalKeyboardKey;
    static get f21(): PhysicalKeyboardKey;
    static get f22(): PhysicalKeyboardKey;
    static get f23(): PhysicalKeyboardKey;
    static get f24(): PhysicalKeyboardKey;
    static get open(): PhysicalKeyboardKey;
    static get help(): PhysicalKeyboardKey;
    static get select(): PhysicalKeyboardKey;
    static get again(): PhysicalKeyboardKey;
    static get undo(): PhysicalKeyboardKey;
    static get cut(): PhysicalKeyboardKey;
    static get copy(): PhysicalKeyboardKey;
    static get paste(): PhysicalKeyboardKey;
    static get find(): PhysicalKeyboardKey;
    static get audioVolumeMute(): PhysicalKeyboardKey;
    static get audioVolumeUp(): PhysicalKeyboardKey;
    static get audioVolumeDown(): PhysicalKeyboardKey;
    static get numpadComma(): PhysicalKeyboardKey;
    static get intlRo(): PhysicalKeyboardKey;
    static get kanaMode(): PhysicalKeyboardKey;
    static get intlYen(): PhysicalKeyboardKey;
    static get convert(): PhysicalKeyboardKey;
    static get nonConvert(): PhysicalKeyboardKey;
    static get lang1(): PhysicalKeyboardKey;
    static get lang2(): PhysicalKeyboardKey;
    static get lang3(): PhysicalKeyboardKey;
    static get lang4(): PhysicalKeyboardKey;
    static get lang5(): PhysicalKeyboardKey;
    static get abort(): PhysicalKeyboardKey;
    static get props(): PhysicalKeyboardKey;
    static get numpadParenLeft(): PhysicalKeyboardKey;
    static get numpadParenRight(): PhysicalKeyboardKey;
    static get numpadBackspace(): PhysicalKeyboardKey;
    static get numpadMemoryStore(): PhysicalKeyboardKey;
    static get numpadMemoryRecall(): PhysicalKeyboardKey;
    static get numpadMemoryClear(): PhysicalKeyboardKey;
    static get numpadMemoryAdd(): PhysicalKeyboardKey;
    static get numpadMemorySubtract(): PhysicalKeyboardKey;
    static get numpadSignChange(): PhysicalKeyboardKey;
    static get numpadClear(): PhysicalKeyboardKey;
    static get numpadClearEntry(): PhysicalKeyboardKey;
    static get controlLeft(): PhysicalKeyboardKey;
    static get shiftLeft(): PhysicalKeyboardKey;
    static get altLeft(): PhysicalKeyboardKey;
    static get metaLeft(): PhysicalKeyboardKey;
    static get controlRight(): PhysicalKeyboardKey;
    static get shiftRight(): PhysicalKeyboardKey;
    static get altRight(): PhysicalKeyboardKey;
    static get metaRight(): PhysicalKeyboardKey;
    static get info(): PhysicalKeyboardKey;
    static get closedCaptionToggle(): PhysicalKeyboardKey;
    static get brightnessUp(): PhysicalKeyboardKey;
    static get brightnessDown(): PhysicalKeyboardKey;
    static get brightnessToggle(): PhysicalKeyboardKey;
    static get brightnessMinimum(): PhysicalKeyboardKey;
    static get brightnessMaximum(): PhysicalKeyboardKey;
    static get brightnessAuto(): PhysicalKeyboardKey;
    static get kbdIllumUp(): PhysicalKeyboardKey;
    static get kbdIllumDown(): PhysicalKeyboardKey;
    static get mediaLast(): PhysicalKeyboardKey;
    static get launchPhone(): PhysicalKeyboardKey;
    static get programGuide(): PhysicalKeyboardKey;
    static get exit(): PhysicalKeyboardKey;
    static get channelUp(): PhysicalKeyboardKey;
    static get channelDown(): PhysicalKeyboardKey;
    static get mediaPlay(): PhysicalKeyboardKey;
    static get mediaPause(): PhysicalKeyboardKey;
    static get mediaRecord(): PhysicalKeyboardKey;
    static get mediaFastForward(): PhysicalKeyboardKey;
    static get mediaRewind(): PhysicalKeyboardKey;
    static get mediaTrackNext(): PhysicalKeyboardKey;
    static get mediaTrackPrevious(): PhysicalKeyboardKey;
    static get mediaStop(): PhysicalKeyboardKey;
    static get eject(): PhysicalKeyboardKey;
    static get mediaPlayPause(): PhysicalKeyboardKey;
    static get speechInputToggle(): PhysicalKeyboardKey;
    static get bassBoost(): PhysicalKeyboardKey;
    static get mediaSelect(): PhysicalKeyboardKey;
    static get launchWordProcessor(): PhysicalKeyboardKey;
    static get launchSpreadsheet(): PhysicalKeyboardKey;
    static get launchMail(): PhysicalKeyboardKey;
    static get launchContacts(): PhysicalKeyboardKey;
    static get launchCalendar(): PhysicalKeyboardKey;
    static get launchApp2(): PhysicalKeyboardKey;
    static get launchApp1(): PhysicalKeyboardKey;
    static get launchInternetBrowser(): PhysicalKeyboardKey;
    static get logOff(): PhysicalKeyboardKey;
    static get lockScreen(): PhysicalKeyboardKey;
    static get launchControlPanel(): PhysicalKeyboardKey;
    static get selectTask(): PhysicalKeyboardKey;
    static get launchDocuments(): PhysicalKeyboardKey;
    static get spellCheck(): PhysicalKeyboardKey;
    static get launchKeyboardLayout(): PhysicalKeyboardKey;
    static get launchScreenSaver(): PhysicalKeyboardKey;
    static get launchAssistant(): PhysicalKeyboardKey;
    static get launchAudioBrowser(): PhysicalKeyboardKey;
    static get newKey(): PhysicalKeyboardKey;
    static get close(): PhysicalKeyboardKey;
    static get save(): PhysicalKeyboardKey;
    static get print(): PhysicalKeyboardKey;
    static get browserSearch(): PhysicalKeyboardKey;
    static get browserHome(): PhysicalKeyboardKey;
    static get browserBack(): PhysicalKeyboardKey;
    static get browserForward(): PhysicalKeyboardKey;
    static get browserStop(): PhysicalKeyboardKey;
    static get browserRefresh(): PhysicalKeyboardKey;
    static get browserFavorites(): PhysicalKeyboardKey;
    static get zoomIn(): PhysicalKeyboardKey;
    static get zoomOut(): PhysicalKeyboardKey;
    static get zoomToggle(): PhysicalKeyboardKey;
    static get redo(): PhysicalKeyboardKey;
    static get mailReply(): PhysicalKeyboardKey;
    static get mailForward(): PhysicalKeyboardKey;
    static get mailSend(): PhysicalKeyboardKey;
    static get keyboardLayoutSelect(): PhysicalKeyboardKey;
    static get showAllWindows(): PhysicalKeyboardKey;
    static get gameButton1(): PhysicalKeyboardKey;
    static get gameButton2(): PhysicalKeyboardKey;
    static get gameButton3(): PhysicalKeyboardKey;
    static get gameButton4(): PhysicalKeyboardKey;
    static get gameButton5(): PhysicalKeyboardKey;
    static get gameButton6(): PhysicalKeyboardKey;
    static get gameButton7(): PhysicalKeyboardKey;
    static get gameButton8(): PhysicalKeyboardKey;
    static get gameButton9(): PhysicalKeyboardKey;
    static get gameButton10(): PhysicalKeyboardKey;
    static get gameButton11(): PhysicalKeyboardKey;
    static get gameButton12(): PhysicalKeyboardKey;
    static get gameButton13(): PhysicalKeyboardKey;
    static get gameButton14(): PhysicalKeyboardKey;
    static get gameButton15(): PhysicalKeyboardKey;
    static get gameButton16(): PhysicalKeyboardKey;
    static get gameButtonA(): PhysicalKeyboardKey;
    static get gameButtonB(): PhysicalKeyboardKey;
    static get gameButtonC(): PhysicalKeyboardKey;
    static get gameButtonLeft1(): PhysicalKeyboardKey;
    static get gameButtonLeft2(): PhysicalKeyboardKey;
    static get gameButtonMode(): PhysicalKeyboardKey;
    static get gameButtonRight1(): PhysicalKeyboardKey;
    static get gameButtonRight2(): PhysicalKeyboardKey;
    static get gameButtonSelect(): PhysicalKeyboardKey;
    static get gameButtonStart(): PhysicalKeyboardKey;
    static get gameButtonThumbLeft(): PhysicalKeyboardKey;
    static get gameButtonThumbRight(): PhysicalKeyboardKey;
    static get gameButtonX(): PhysicalKeyboardKey;
    static get gameButtonY(): PhysicalKeyboardKey;
    static get gameButtonZ(): PhysicalKeyboardKey;
    static get fn(): PhysicalKeyboardKey;
}
export { PhysicalKeyboardKey };
