"use strict";
// Copyright (C) 2021 THL A29 Limited, a Tencent company.  All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
Object.defineProperty(exports, "__esModule", { value: true });
exports.DoubleTapGestureRecognizer = exports.DelayedMultiDragGestureRecognizer = exports.VerticalMultiDragGestureRecognizer = exports.HorizontalMultiDragGestureRecognizer = exports.ImmediateMultiDragGestureRecognizer = exports.MultiDragGestureRecognizer = exports.MultiDragPointerState = exports.PanGestureRecognizer = exports.HorizontalDragGestureRecognizer = exports.VerticalDragGestureRecognizer = exports.DragGestureRecognizer = exports.LeastSquaresSolver = exports.PolynomialFit = exports.LongPressGestureRecognizer = exports.LongPressEndDetails = exports.LongPressMoveUpdateDetails = exports.LongPressStartDetails = exports.HitTestResult = exports.HitTestEntry = exports.HitTestTarget = exports.HitTestDispatcher = exports.HitTestable = exports.ForcePressGestureRecognizer = exports.ForcePressDetails = exports.PointerDeviceKind = exports.Offset = exports.PointerCancelEvent = exports.PointerScrollEvent = exports.PointerSignalEvent = exports.PointerUpEvent = exports.PointerMoveEvent = exports.PointerDownEvent = exports.PointerExitEvent = exports.PointerEnterEvent = exports.PointerHoverEvent = exports.PointerRemovedEvent = exports.PointerAddedEvent = exports.PointerEvent = exports.EagerGestureRecognizer = exports.DragEndDetails = exports.DragUpdateDetails = exports.DragStartDetails = exports.DragDownDetails = exports.Drag = exports.PointerEventConverter = exports.GestureBinding = exports.GestureArenaManager = exports.GestureArenaEntry = exports.GestureArenaMember = exports.GestureDisposition = void 0;
exports.IOSScrollViewFlingVelocityTracker = exports.VelocityTracker = exports.VelocityEstimate = exports.Velocity = exports.GestureArenaTeam = exports.TapGestureRecognizer = exports.BaseTapGestureRecognizer = exports.TapUpDetails = exports.TapDownDetails = exports.ScaleGestureRecognizer = exports.ScaleEndDetails = exports.ScaleUpdateDetails = exports.ScaleStartDetails = exports.PointerEventResampler = exports.OffsetPair = exports.PrimaryPointerGestureRecognizer = exports.GestureRecognizerState = exports.OneSequenceGestureRecognizer = exports.GestureRecognizer = exports.DragStartBehavior = exports.PointerSignalResolver = exports.PointerRouter = exports.MultiTapGestureRecognizer = void 0;
const velocity_tracker_1 = require("./flutter/src/gestures/velocity-tracker");
Object.defineProperty(exports, "Velocity", { enumerable: true, get: function () { return velocity_tracker_1.Velocity; } });
Object.defineProperty(exports, "VelocityEstimate", { enumerable: true, get: function () { return velocity_tracker_1.VelocityEstimate; } });
Object.defineProperty(exports, "VelocityTracker", { enumerable: true, get: function () { return velocity_tracker_1.VelocityTracker; } });
Object.defineProperty(exports, "IOSScrollViewFlingVelocityTracker", { enumerable: true, get: function () { return velocity_tracker_1.IOSScrollViewFlingVelocityTracker; } });
const team_1 = require("./flutter/src/gestures/team");
Object.defineProperty(exports, "GestureArenaTeam", { enumerable: true, get: function () { return team_1.GestureArenaTeam; } });
const tap_1 = require("./flutter/src/gestures/tap");
Object.defineProperty(exports, "TapDownDetails", { enumerable: true, get: function () { return tap_1.TapDownDetails; } });
Object.defineProperty(exports, "TapUpDetails", { enumerable: true, get: function () { return tap_1.TapUpDetails; } });
Object.defineProperty(exports, "BaseTapGestureRecognizer", { enumerable: true, get: function () { return tap_1.BaseTapGestureRecognizer; } });
Object.defineProperty(exports, "TapGestureRecognizer", { enumerable: true, get: function () { return tap_1.TapGestureRecognizer; } });
const scale_1 = require("./flutter/src/gestures/scale");
Object.defineProperty(exports, "ScaleStartDetails", { enumerable: true, get: function () { return scale_1.ScaleStartDetails; } });
Object.defineProperty(exports, "ScaleUpdateDetails", { enumerable: true, get: function () { return scale_1.ScaleUpdateDetails; } });
Object.defineProperty(exports, "ScaleEndDetails", { enumerable: true, get: function () { return scale_1.ScaleEndDetails; } });
Object.defineProperty(exports, "ScaleGestureRecognizer", { enumerable: true, get: function () { return scale_1.ScaleGestureRecognizer; } });
const resampler_1 = require("./flutter/src/gestures/resampler");
Object.defineProperty(exports, "PointerEventResampler", { enumerable: true, get: function () { return resampler_1.PointerEventResampler; } });
const recognizer_1 = require("./flutter/src/gestures/recognizer");
Object.defineProperty(exports, "DragStartBehavior", { enumerable: true, get: function () { return recognizer_1.DragStartBehavior; } });
Object.defineProperty(exports, "GestureRecognizer", { enumerable: true, get: function () { return recognizer_1.GestureRecognizer; } });
Object.defineProperty(exports, "OneSequenceGestureRecognizer", { enumerable: true, get: function () { return recognizer_1.OneSequenceGestureRecognizer; } });
Object.defineProperty(exports, "GestureRecognizerState", { enumerable: true, get: function () { return recognizer_1.GestureRecognizerState; } });
Object.defineProperty(exports, "PrimaryPointerGestureRecognizer", { enumerable: true, get: function () { return recognizer_1.PrimaryPointerGestureRecognizer; } });
Object.defineProperty(exports, "OffsetPair", { enumerable: true, get: function () { return recognizer_1.OffsetPair; } });
const pointer_signal_resolver_1 = require("./flutter/src/gestures/pointer-signal-resolver");
Object.defineProperty(exports, "PointerSignalResolver", { enumerable: true, get: function () { return pointer_signal_resolver_1.PointerSignalResolver; } });
const pointer_router_1 = require("./flutter/src/gestures/pointer-router");
Object.defineProperty(exports, "PointerRouter", { enumerable: true, get: function () { return pointer_router_1.PointerRouter; } });
const multitap_1 = require("./flutter/src/gestures/multitap");
Object.defineProperty(exports, "DoubleTapGestureRecognizer", { enumerable: true, get: function () { return multitap_1.DoubleTapGestureRecognizer; } });
Object.defineProperty(exports, "MultiTapGestureRecognizer", { enumerable: true, get: function () { return multitap_1.MultiTapGestureRecognizer; } });
const multidrag_1 = require("./flutter/src/gestures/multidrag");
Object.defineProperty(exports, "MultiDragPointerState", { enumerable: true, get: function () { return multidrag_1.MultiDragPointerState; } });
Object.defineProperty(exports, "MultiDragGestureRecognizer", { enumerable: true, get: function () { return multidrag_1.MultiDragGestureRecognizer; } });
Object.defineProperty(exports, "ImmediateMultiDragGestureRecognizer", { enumerable: true, get: function () { return multidrag_1.ImmediateMultiDragGestureRecognizer; } });
Object.defineProperty(exports, "HorizontalMultiDragGestureRecognizer", { enumerable: true, get: function () { return multidrag_1.HorizontalMultiDragGestureRecognizer; } });
Object.defineProperty(exports, "VerticalMultiDragGestureRecognizer", { enumerable: true, get: function () { return multidrag_1.VerticalMultiDragGestureRecognizer; } });
Object.defineProperty(exports, "DelayedMultiDragGestureRecognizer", { enumerable: true, get: function () { return multidrag_1.DelayedMultiDragGestureRecognizer; } });
const monodrag_1 = require("./flutter/src/gestures/monodrag");
Object.defineProperty(exports, "DragGestureRecognizer", { enumerable: true, get: function () { return monodrag_1.DragGestureRecognizer; } });
Object.defineProperty(exports, "VerticalDragGestureRecognizer", { enumerable: true, get: function () { return monodrag_1.VerticalDragGestureRecognizer; } });
Object.defineProperty(exports, "HorizontalDragGestureRecognizer", { enumerable: true, get: function () { return monodrag_1.HorizontalDragGestureRecognizer; } });
Object.defineProperty(exports, "PanGestureRecognizer", { enumerable: true, get: function () { return monodrag_1.PanGestureRecognizer; } });
const lsq_solver_1 = require("./flutter/src/gestures/lsq-solver");
Object.defineProperty(exports, "PolynomialFit", { enumerable: true, get: function () { return lsq_solver_1.PolynomialFit; } });
Object.defineProperty(exports, "LeastSquaresSolver", { enumerable: true, get: function () { return lsq_solver_1.LeastSquaresSolver; } });
const long_press_1 = require("./flutter/src/gestures/long-press");
Object.defineProperty(exports, "LongPressStartDetails", { enumerable: true, get: function () { return long_press_1.LongPressStartDetails; } });
Object.defineProperty(exports, "LongPressMoveUpdateDetails", { enumerable: true, get: function () { return long_press_1.LongPressMoveUpdateDetails; } });
Object.defineProperty(exports, "LongPressEndDetails", { enumerable: true, get: function () { return long_press_1.LongPressEndDetails; } });
Object.defineProperty(exports, "LongPressGestureRecognizer", { enumerable: true, get: function () { return long_press_1.LongPressGestureRecognizer; } });
const hit_test_1 = require("./flutter/src/gestures/hit-test");
Object.defineProperty(exports, "HitTestable", { enumerable: true, get: function () { return hit_test_1.HitTestable; } });
Object.defineProperty(exports, "HitTestDispatcher", { enumerable: true, get: function () { return hit_test_1.HitTestDispatcher; } });
Object.defineProperty(exports, "HitTestTarget", { enumerable: true, get: function () { return hit_test_1.HitTestTarget; } });
Object.defineProperty(exports, "HitTestEntry", { enumerable: true, get: function () { return hit_test_1.HitTestEntry; } });
Object.defineProperty(exports, "HitTestResult", { enumerable: true, get: function () { return hit_test_1.HitTestResult; } });
const force_press_1 = require("./flutter/src/gestures/force-press");
Object.defineProperty(exports, "ForcePressDetails", { enumerable: true, get: function () { return force_press_1.ForcePressDetails; } });
Object.defineProperty(exports, "ForcePressGestureRecognizer", { enumerable: true, get: function () { return force_press_1.ForcePressGestureRecognizer; } });
const mx_dart_sdk_1 = require("./mx-dart-sdk");
Object.defineProperty(exports, "Offset", { enumerable: true, get: function () { return mx_dart_sdk_1.Offset; } });
Object.defineProperty(exports, "PointerDeviceKind", { enumerable: true, get: function () { return mx_dart_sdk_1.PointerDeviceKind; } });
const events_1 = require("./flutter/src/gestures/events");
Object.defineProperty(exports, "PointerEvent", { enumerable: true, get: function () { return events_1.PointerEvent; } });
Object.defineProperty(exports, "PointerAddedEvent", { enumerable: true, get: function () { return events_1.PointerAddedEvent; } });
Object.defineProperty(exports, "PointerRemovedEvent", { enumerable: true, get: function () { return events_1.PointerRemovedEvent; } });
Object.defineProperty(exports, "PointerHoverEvent", { enumerable: true, get: function () { return events_1.PointerHoverEvent; } });
Object.defineProperty(exports, "PointerEnterEvent", { enumerable: true, get: function () { return events_1.PointerEnterEvent; } });
Object.defineProperty(exports, "PointerExitEvent", { enumerable: true, get: function () { return events_1.PointerExitEvent; } });
Object.defineProperty(exports, "PointerDownEvent", { enumerable: true, get: function () { return events_1.PointerDownEvent; } });
Object.defineProperty(exports, "PointerMoveEvent", { enumerable: true, get: function () { return events_1.PointerMoveEvent; } });
Object.defineProperty(exports, "PointerUpEvent", { enumerable: true, get: function () { return events_1.PointerUpEvent; } });
Object.defineProperty(exports, "PointerSignalEvent", { enumerable: true, get: function () { return events_1.PointerSignalEvent; } });
Object.defineProperty(exports, "PointerScrollEvent", { enumerable: true, get: function () { return events_1.PointerScrollEvent; } });
Object.defineProperty(exports, "PointerCancelEvent", { enumerable: true, get: function () { return events_1.PointerCancelEvent; } });
const eager_1 = require("./flutter/src/gestures/eager");
Object.defineProperty(exports, "EagerGestureRecognizer", { enumerable: true, get: function () { return eager_1.EagerGestureRecognizer; } });
const drag_details_1 = require("./flutter/src/gestures/drag-details");
Object.defineProperty(exports, "DragDownDetails", { enumerable: true, get: function () { return drag_details_1.DragDownDetails; } });
Object.defineProperty(exports, "DragStartDetails", { enumerable: true, get: function () { return drag_details_1.DragStartDetails; } });
Object.defineProperty(exports, "DragUpdateDetails", { enumerable: true, get: function () { return drag_details_1.DragUpdateDetails; } });
Object.defineProperty(exports, "DragEndDetails", { enumerable: true, get: function () { return drag_details_1.DragEndDetails; } });
const drag_1 = require("./flutter/src/gestures/drag");
Object.defineProperty(exports, "Drag", { enumerable: true, get: function () { return drag_1.Drag; } });
const converter_1 = require("./flutter/src/gestures/converter");
Object.defineProperty(exports, "PointerEventConverter", { enumerable: true, get: function () { return converter_1.PointerEventConverter; } });
const binding_1 = require("./flutter/src/gestures/binding");
Object.defineProperty(exports, "GestureBinding", { enumerable: true, get: function () { return binding_1.GestureBinding; } });
const arena_1 = require("./flutter/src/gestures/arena");
Object.defineProperty(exports, "GestureDisposition", { enumerable: true, get: function () { return arena_1.GestureDisposition; } });
Object.defineProperty(exports, "GestureArenaMember", { enumerable: true, get: function () { return arena_1.GestureArenaMember; } });
Object.defineProperty(exports, "GestureArenaEntry", { enumerable: true, get: function () { return arena_1.GestureArenaEntry; } });
Object.defineProperty(exports, "GestureArenaManager", { enumerable: true, get: function () { return arena_1.GestureArenaManager; } });
