// Copyright (C) 2021 THL A29 Limited, a Tencent company.  All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import { RenderBox } from './box';
import { Matrix4 } from '../../../vector-math-64';
import { RenderObject } from './object';
import { Size, Window } from '../../../mx-dart-sdk';
import { MXDartClass, MXMirrorWidget, MXWidget } from 'mxflutter-base';
class ViewConfiguration extends MXDartClass {
  size: Size;
  devicePixelRatio: number;
  public constructor(namedParameters: {size?: Size, devicePixelRatio?: number} = {}) {
    super();
    this.size = namedParameters.size;
    this.devicePixelRatio = namedParameters.devicePixelRatio;
    this.className = 'ViewConfiguration';
  }
}
export { ViewConfiguration };
class RenderView extends RenderObject {
  size: Size;
  configuration: ViewConfiguration;
  window: Window;
  automaticSystemUiAdjustment: boolean;
  rootTransform: Matrix4;
  public constructor(namedParameters: {child?: RenderBox, configuration?: ViewConfiguration, window?: Window} = {}) {
    super();
    this['child'] = namedParameters.child;
    this.configuration = namedParameters.configuration;
    this.window = namedParameters.window;
    this.className = 'RenderView';
  }
}
export { RenderView };
