// Copyright (C) 2021 THL A29 Limited, a Tencent company.  All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import { MXDartClass, MXMirrorWidget, MXWidget } from 'mxflutter-base';
abstract class KeyboardKey extends MXDartClass {}
export { KeyboardKey };
class LogicalKeyboardKey extends KeyboardKey {
  keyId: number;
  debugName: string;
  keyLabel: string;
  public constructor(keyId?: number, namedParameters: {debugName?: string, keyLabel?: string} = {}) {
    super();
    this.keyId = keyId;
    this.debugName = namedParameters.debugName;
    this.keyLabel = namedParameters.keyLabel;
    this.className = 'LogicalKeyboardKey';
  }
  static get valueMask() {
    return 4294967295;
  }
  static get platformMask() {
    return 1095216660480;
  }
  static get autogeneratedMask() {
    return 1099511627776;
  }
  static get synonymMask() {
    return 2199023255552;
  }
  static get unicodePlane() {
    return 0;
  }
  static get hidPlane() {
    return 4294967296;
  }
  static get none() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'none';
    return jsObj;
  }
  static get hyper() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'hyper';
    return jsObj;
  }
  static get superKey() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'superKey';
    return jsObj;
  }
  static get fnLock() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'fnLock';
    return jsObj;
  }
  static get suspend() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'suspend';
    return jsObj;
  }
  static get resume() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'resume';
    return jsObj;
  }
  static get turbo() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'turbo';
    return jsObj;
  }
  static get privacyScreenToggle() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'privacyScreenToggle';
    return jsObj;
  }
  static get sleep() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'sleep';
    return jsObj;
  }
  static get wakeUp() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'wakeUp';
    return jsObj;
  }
  static get displayToggleIntExt() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'displayToggleIntExt';
    return jsObj;
  }
  static get usbReserved() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'usbReserved';
    return jsObj;
  }
  static get usbErrorRollOver() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'usbErrorRollOver';
    return jsObj;
  }
  static get usbPostFail() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'usbPostFail';
    return jsObj;
  }
  static get usbErrorUndefined() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'usbErrorUndefined';
    return jsObj;
  }
  static get keyA() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyA';
    return jsObj;
  }
  static get keyB() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyB';
    return jsObj;
  }
  static get keyC() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyC';
    return jsObj;
  }
  static get keyD() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyD';
    return jsObj;
  }
  static get keyE() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyE';
    return jsObj;
  }
  static get keyF() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyF';
    return jsObj;
  }
  static get keyG() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyG';
    return jsObj;
  }
  static get keyH() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyH';
    return jsObj;
  }
  static get keyI() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyI';
    return jsObj;
  }
  static get keyJ() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyJ';
    return jsObj;
  }
  static get keyK() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyK';
    return jsObj;
  }
  static get keyL() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyL';
    return jsObj;
  }
  static get keyM() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyM';
    return jsObj;
  }
  static get keyN() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyN';
    return jsObj;
  }
  static get keyO() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyO';
    return jsObj;
  }
  static get keyP() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyP';
    return jsObj;
  }
  static get keyQ() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyQ';
    return jsObj;
  }
  static get keyR() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyR';
    return jsObj;
  }
  static get keyS() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyS';
    return jsObj;
  }
  static get keyT() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyT';
    return jsObj;
  }
  static get keyU() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyU';
    return jsObj;
  }
  static get keyV() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyV';
    return jsObj;
  }
  static get keyW() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyW';
    return jsObj;
  }
  static get keyX() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyX';
    return jsObj;
  }
  static get keyY() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyY';
    return jsObj;
  }
  static get keyZ() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyZ';
    return jsObj;
  }
  static get digit1() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'digit1';
    return jsObj;
  }
  static get digit2() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'digit2';
    return jsObj;
  }
  static get digit3() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'digit3';
    return jsObj;
  }
  static get digit4() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'digit4';
    return jsObj;
  }
  static get digit5() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'digit5';
    return jsObj;
  }
  static get digit6() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'digit6';
    return jsObj;
  }
  static get digit7() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'digit7';
    return jsObj;
  }
  static get digit8() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'digit8';
    return jsObj;
  }
  static get digit9() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'digit9';
    return jsObj;
  }
  static get digit0() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'digit0';
    return jsObj;
  }
  static get enter() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'enter';
    return jsObj;
  }
  static get escape() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'escape';
    return jsObj;
  }
  static get backspace() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'backspace';
    return jsObj;
  }
  static get tab() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'tab';
    return jsObj;
  }
  static get space() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'space';
    return jsObj;
  }
  static get minus() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'minus';
    return jsObj;
  }
  static get equal() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'equal';
    return jsObj;
  }
  static get bracketLeft() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'bracketLeft';
    return jsObj;
  }
  static get bracketRight() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'bracketRight';
    return jsObj;
  }
  static get backslash() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'backslash';
    return jsObj;
  }
  static get semicolon() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'semicolon';
    return jsObj;
  }
  static get quote() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'quote';
    return jsObj;
  }
  static get backquote() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'backquote';
    return jsObj;
  }
  static get comma() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'comma';
    return jsObj;
  }
  static get period() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'period';
    return jsObj;
  }
  static get slash() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'slash';
    return jsObj;
  }
  static get capsLock() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'capsLock';
    return jsObj;
  }
  static get f1() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f1';
    return jsObj;
  }
  static get f2() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f2';
    return jsObj;
  }
  static get f3() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f3';
    return jsObj;
  }
  static get f4() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f4';
    return jsObj;
  }
  static get f5() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f5';
    return jsObj;
  }
  static get f6() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f6';
    return jsObj;
  }
  static get f7() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f7';
    return jsObj;
  }
  static get f8() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f8';
    return jsObj;
  }
  static get f9() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f9';
    return jsObj;
  }
  static get f10() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f10';
    return jsObj;
  }
  static get f11() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f11';
    return jsObj;
  }
  static get f12() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f12';
    return jsObj;
  }
  static get printScreen() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'printScreen';
    return jsObj;
  }
  static get scrollLock() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'scrollLock';
    return jsObj;
  }
  static get pause() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'pause';
    return jsObj;
  }
  static get insert() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'insert';
    return jsObj;
  }
  static get home() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'home';
    return jsObj;
  }
  static get pageUp() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'pageUp';
    return jsObj;
  }
  static get mx_delete() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'delete';
    return jsObj;
  }
  static get end() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'end';
    return jsObj;
  }
  static get pageDown() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'pageDown';
    return jsObj;
  }
  static get arrowRight() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'arrowRight';
    return jsObj;
  }
  static get arrowLeft() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'arrowLeft';
    return jsObj;
  }
  static get arrowDown() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'arrowDown';
    return jsObj;
  }
  static get arrowUp() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'arrowUp';
    return jsObj;
  }
  static get numLock() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numLock';
    return jsObj;
  }
  static get numpadDivide() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadDivide';
    return jsObj;
  }
  static get numpadMultiply() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadMultiply';
    return jsObj;
  }
  static get numpadSubtract() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadSubtract';
    return jsObj;
  }
  static get numpadAdd() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadAdd';
    return jsObj;
  }
  static get numpadEnter() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadEnter';
    return jsObj;
  }
  static get numpad1() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpad1';
    return jsObj;
  }
  static get numpad2() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpad2';
    return jsObj;
  }
  static get numpad3() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpad3';
    return jsObj;
  }
  static get numpad4() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpad4';
    return jsObj;
  }
  static get numpad5() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpad5';
    return jsObj;
  }
  static get numpad6() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpad6';
    return jsObj;
  }
  static get numpad7() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpad7';
    return jsObj;
  }
  static get numpad8() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpad8';
    return jsObj;
  }
  static get numpad9() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpad9';
    return jsObj;
  }
  static get numpad0() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpad0';
    return jsObj;
  }
  static get numpadDecimal() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadDecimal';
    return jsObj;
  }
  static get intlBackslash() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'intlBackslash';
    return jsObj;
  }
  static get contextMenu() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'contextMenu';
    return jsObj;
  }
  static get power() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'power';
    return jsObj;
  }
  static get numpadEqual() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadEqual';
    return jsObj;
  }
  static get f13() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f13';
    return jsObj;
  }
  static get f14() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f14';
    return jsObj;
  }
  static get f15() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f15';
    return jsObj;
  }
  static get f16() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f16';
    return jsObj;
  }
  static get f17() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f17';
    return jsObj;
  }
  static get f18() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f18';
    return jsObj;
  }
  static get f19() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f19';
    return jsObj;
  }
  static get f20() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f20';
    return jsObj;
  }
  static get f21() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f21';
    return jsObj;
  }
  static get f22() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f22';
    return jsObj;
  }
  static get f23() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f23';
    return jsObj;
  }
  static get f24() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'f24';
    return jsObj;
  }
  static get open() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'open';
    return jsObj;
  }
  static get help() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'help';
    return jsObj;
  }
  static get select() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'select';
    return jsObj;
  }
  static get again() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'again';
    return jsObj;
  }
  static get undo() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'undo';
    return jsObj;
  }
  static get cut() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'cut';
    return jsObj;
  }
  static get copy() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'copy';
    return jsObj;
  }
  static get paste() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'paste';
    return jsObj;
  }
  static get find() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'find';
    return jsObj;
  }
  static get audioVolumeMute() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'audioVolumeMute';
    return jsObj;
  }
  static get audioVolumeUp() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'audioVolumeUp';
    return jsObj;
  }
  static get audioVolumeDown() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'audioVolumeDown';
    return jsObj;
  }
  static get numpadComma() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadComma';
    return jsObj;
  }
  static get intlRo() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'intlRo';
    return jsObj;
  }
  static get kanaMode() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'kanaMode';
    return jsObj;
  }
  static get intlYen() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'intlYen';
    return jsObj;
  }
  static get convert() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'convert';
    return jsObj;
  }
  static get nonConvert() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'nonConvert';
    return jsObj;
  }
  static get lang1() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'lang1';
    return jsObj;
  }
  static get lang2() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'lang2';
    return jsObj;
  }
  static get lang3() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'lang3';
    return jsObj;
  }
  static get lang4() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'lang4';
    return jsObj;
  }
  static get lang5() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'lang5';
    return jsObj;
  }
  static get abort() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'abort';
    return jsObj;
  }
  static get props() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'props';
    return jsObj;
  }
  static get numpadParenLeft() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadParenLeft';
    return jsObj;
  }
  static get numpadParenRight() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadParenRight';
    return jsObj;
  }
  static get numpadBackspace() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadBackspace';
    return jsObj;
  }
  static get numpadMemoryStore() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadMemoryStore';
    return jsObj;
  }
  static get numpadMemoryRecall() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadMemoryRecall';
    return jsObj;
  }
  static get numpadMemoryClear() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadMemoryClear';
    return jsObj;
  }
  static get numpadMemoryAdd() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadMemoryAdd';
    return jsObj;
  }
  static get numpadMemorySubtract() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadMemorySubtract';
    return jsObj;
  }
  static get numpadSignChange() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadSignChange';
    return jsObj;
  }
  static get numpadClear() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadClear';
    return jsObj;
  }
  static get numpadClearEntry() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'numpadClearEntry';
    return jsObj;
  }
  static get controlLeft() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'controlLeft';
    return jsObj;
  }
  static get shiftLeft() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'shiftLeft';
    return jsObj;
  }
  static get altLeft() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'altLeft';
    return jsObj;
  }
  static get metaLeft() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'metaLeft';
    return jsObj;
  }
  static get controlRight() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'controlRight';
    return jsObj;
  }
  static get shiftRight() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'shiftRight';
    return jsObj;
  }
  static get altRight() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'altRight';
    return jsObj;
  }
  static get metaRight() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'metaRight';
    return jsObj;
  }
  static get info() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'info';
    return jsObj;
  }
  static get closedCaptionToggle() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'closedCaptionToggle';
    return jsObj;
  }
  static get brightnessUp() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'brightnessUp';
    return jsObj;
  }
  static get brightnessDown() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'brightnessDown';
    return jsObj;
  }
  static get brightnessToggle() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'brightnessToggle';
    return jsObj;
  }
  static get brightnessMinimum() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'brightnessMinimum';
    return jsObj;
  }
  static get brightnessMaximum() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'brightnessMaximum';
    return jsObj;
  }
  static get brightnessAuto() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'brightnessAuto';
    return jsObj;
  }
  static get kbdIllumUp() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'kbdIllumUp';
    return jsObj;
  }
  static get kbdIllumDown() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'kbdIllumDown';
    return jsObj;
  }
  static get mediaLast() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'mediaLast';
    return jsObj;
  }
  static get launchPhone() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchPhone';
    return jsObj;
  }
  static get programGuide() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'programGuide';
    return jsObj;
  }
  static get exit() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'exit';
    return jsObj;
  }
  static get channelUp() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'channelUp';
    return jsObj;
  }
  static get channelDown() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'channelDown';
    return jsObj;
  }
  static get mediaPlay() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'mediaPlay';
    return jsObj;
  }
  static get mediaPause() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'mediaPause';
    return jsObj;
  }
  static get mediaRecord() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'mediaRecord';
    return jsObj;
  }
  static get mediaFastForward() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'mediaFastForward';
    return jsObj;
  }
  static get mediaRewind() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'mediaRewind';
    return jsObj;
  }
  static get mediaTrackNext() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'mediaTrackNext';
    return jsObj;
  }
  static get mediaTrackPrevious() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'mediaTrackPrevious';
    return jsObj;
  }
  static get mediaStop() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'mediaStop';
    return jsObj;
  }
  static get eject() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'eject';
    return jsObj;
  }
  static get mediaPlayPause() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'mediaPlayPause';
    return jsObj;
  }
  static get speechInputToggle() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'speechInputToggle';
    return jsObj;
  }
  static get bassBoost() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'bassBoost';
    return jsObj;
  }
  static get mediaSelect() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'mediaSelect';
    return jsObj;
  }
  static get launchWordProcessor() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchWordProcessor';
    return jsObj;
  }
  static get launchSpreadsheet() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchSpreadsheet';
    return jsObj;
  }
  static get launchMail() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchMail';
    return jsObj;
  }
  static get launchContacts() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchContacts';
    return jsObj;
  }
  static get launchCalendar() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchCalendar';
    return jsObj;
  }
  static get launchApp2() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchApp2';
    return jsObj;
  }
  static get launchApp1() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchApp1';
    return jsObj;
  }
  static get launchInternetBrowser() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchInternetBrowser';
    return jsObj;
  }
  static get logOff() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'logOff';
    return jsObj;
  }
  static get lockScreen() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'lockScreen';
    return jsObj;
  }
  static get launchControlPanel() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchControlPanel';
    return jsObj;
  }
  static get selectTask() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'selectTask';
    return jsObj;
  }
  static get launchDocuments() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchDocuments';
    return jsObj;
  }
  static get spellCheck() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'spellCheck';
    return jsObj;
  }
  static get launchKeyboardLayout() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchKeyboardLayout';
    return jsObj;
  }
  static get launchScreenSaver() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchScreenSaver';
    return jsObj;
  }
  static get launchAssistant() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchAssistant';
    return jsObj;
  }
  static get launchAudioBrowser() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'launchAudioBrowser';
    return jsObj;
  }
  static get newKey() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'newKey';
    return jsObj;
  }
  static get close() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'close';
    return jsObj;
  }
  static get save() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'save';
    return jsObj;
  }
  static get print() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'print';
    return jsObj;
  }
  static get browserSearch() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'browserSearch';
    return jsObj;
  }
  static get browserHome() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'browserHome';
    return jsObj;
  }
  static get browserBack() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'browserBack';
    return jsObj;
  }
  static get browserForward() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'browserForward';
    return jsObj;
  }
  static get browserStop() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'browserStop';
    return jsObj;
  }
  static get browserRefresh() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'browserRefresh';
    return jsObj;
  }
  static get browserFavorites() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'browserFavorites';
    return jsObj;
  }
  static get zoomIn() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'zoomIn';
    return jsObj;
  }
  static get zoomOut() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'zoomOut';
    return jsObj;
  }
  static get zoomToggle() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'zoomToggle';
    return jsObj;
  }
  static get redo() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'redo';
    return jsObj;
  }
  static get mailReply() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'mailReply';
    return jsObj;
  }
  static get mailForward() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'mailForward';
    return jsObj;
  }
  static get mailSend() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'mailSend';
    return jsObj;
  }
  static get keyboardLayoutSelect() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'keyboardLayoutSelect';
    return jsObj;
  }
  static get showAllWindows() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'showAllWindows';
    return jsObj;
  }
  static get gameButton1() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton1';
    return jsObj;
  }
  static get gameButton2() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton2';
    return jsObj;
  }
  static get gameButton3() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton3';
    return jsObj;
  }
  static get gameButton4() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton4';
    return jsObj;
  }
  static get gameButton5() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton5';
    return jsObj;
  }
  static get gameButton6() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton6';
    return jsObj;
  }
  static get gameButton7() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton7';
    return jsObj;
  }
  static get gameButton8() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton8';
    return jsObj;
  }
  static get gameButton9() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton9';
    return jsObj;
  }
  static get gameButton10() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton10';
    return jsObj;
  }
  static get gameButton11() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton11';
    return jsObj;
  }
  static get gameButton12() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton12';
    return jsObj;
  }
  static get gameButton13() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton13';
    return jsObj;
  }
  static get gameButton14() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton14';
    return jsObj;
  }
  static get gameButton15() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton15';
    return jsObj;
  }
  static get gameButton16() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton16';
    return jsObj;
  }
  static get gameButtonA() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonA';
    return jsObj;
  }
  static get gameButtonB() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonB';
    return jsObj;
  }
  static get gameButtonC() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonC';
    return jsObj;
  }
  static get gameButtonLeft1() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonLeft1';
    return jsObj;
  }
  static get gameButtonLeft2() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonLeft2';
    return jsObj;
  }
  static get gameButtonMode() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonMode';
    return jsObj;
  }
  static get gameButtonRight1() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonRight1';
    return jsObj;
  }
  static get gameButtonRight2() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonRight2';
    return jsObj;
  }
  static get gameButtonSelect() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonSelect';
    return jsObj;
  }
  static get gameButtonStart() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonStart';
    return jsObj;
  }
  static get gameButtonThumbLeft() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonThumbLeft';
    return jsObj;
  }
  static get gameButtonThumbRight() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonThumbRight';
    return jsObj;
  }
  static get gameButtonX() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonX';
    return jsObj;
  }
  static get gameButtonY() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonY';
    return jsObj;
  }
  static get gameButtonZ() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonZ';
    return jsObj;
  }
  static get fn() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'fn';
    return jsObj;
  }
  static get shift() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'shift';
    return jsObj;
  }
  static get meta() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'meta';
    return jsObj;
  }
  static get alt() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'alt';
    return jsObj;
  }
  static get control() {
    var jsObj = new LogicalKeyboardKey();
    jsObj['className'] = 'LogicalKeyboardKey';
    jsObj['constructorName'] = 'control';
    return jsObj;
  }
}
export { LogicalKeyboardKey };
class PhysicalKeyboardKey extends KeyboardKey {
  usbHidUsage: number;
  debugName: string;
  public constructor(usbHidUsage?: number, namedParameters: {debugName?: string} = {}) {
    super();
    this.usbHidUsage = usbHidUsage;
    this.debugName = namedParameters.debugName;
    this.className = 'PhysicalKeyboardKey';
  }
  static get none() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'none';
    return jsObj;
  }
  static get hyper() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'hyper';
    return jsObj;
  }
  static get superKey() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'superKey';
    return jsObj;
  }
  static get fnLock() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'fnLock';
    return jsObj;
  }
  static get suspend() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'suspend';
    return jsObj;
  }
  static get resume() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'resume';
    return jsObj;
  }
  static get turbo() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'turbo';
    return jsObj;
  }
  static get privacyScreenToggle() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'privacyScreenToggle';
    return jsObj;
  }
  static get sleep() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'sleep';
    return jsObj;
  }
  static get wakeUp() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'wakeUp';
    return jsObj;
  }
  static get displayToggleIntExt() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'displayToggleIntExt';
    return jsObj;
  }
  static get usbReserved() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'usbReserved';
    return jsObj;
  }
  static get usbErrorRollOver() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'usbErrorRollOver';
    return jsObj;
  }
  static get usbPostFail() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'usbPostFail';
    return jsObj;
  }
  static get usbErrorUndefined() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'usbErrorUndefined';
    return jsObj;
  }
  static get keyA() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyA';
    return jsObj;
  }
  static get keyB() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyB';
    return jsObj;
  }
  static get keyC() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyC';
    return jsObj;
  }
  static get keyD() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyD';
    return jsObj;
  }
  static get keyE() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyE';
    return jsObj;
  }
  static get keyF() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyF';
    return jsObj;
  }
  static get keyG() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyG';
    return jsObj;
  }
  static get keyH() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyH';
    return jsObj;
  }
  static get keyI() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyI';
    return jsObj;
  }
  static get keyJ() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyJ';
    return jsObj;
  }
  static get keyK() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyK';
    return jsObj;
  }
  static get keyL() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyL';
    return jsObj;
  }
  static get keyM() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyM';
    return jsObj;
  }
  static get keyN() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyN';
    return jsObj;
  }
  static get keyO() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyO';
    return jsObj;
  }
  static get keyP() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyP';
    return jsObj;
  }
  static get keyQ() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyQ';
    return jsObj;
  }
  static get keyR() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyR';
    return jsObj;
  }
  static get keyS() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyS';
    return jsObj;
  }
  static get keyT() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyT';
    return jsObj;
  }
  static get keyU() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyU';
    return jsObj;
  }
  static get keyV() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyV';
    return jsObj;
  }
  static get keyW() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyW';
    return jsObj;
  }
  static get keyX() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyX';
    return jsObj;
  }
  static get keyY() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyY';
    return jsObj;
  }
  static get keyZ() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyZ';
    return jsObj;
  }
  static get digit1() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'digit1';
    return jsObj;
  }
  static get digit2() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'digit2';
    return jsObj;
  }
  static get digit3() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'digit3';
    return jsObj;
  }
  static get digit4() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'digit4';
    return jsObj;
  }
  static get digit5() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'digit5';
    return jsObj;
  }
  static get digit6() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'digit6';
    return jsObj;
  }
  static get digit7() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'digit7';
    return jsObj;
  }
  static get digit8() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'digit8';
    return jsObj;
  }
  static get digit9() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'digit9';
    return jsObj;
  }
  static get digit0() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'digit0';
    return jsObj;
  }
  static get enter() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'enter';
    return jsObj;
  }
  static get escape() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'escape';
    return jsObj;
  }
  static get backspace() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'backspace';
    return jsObj;
  }
  static get tab() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'tab';
    return jsObj;
  }
  static get space() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'space';
    return jsObj;
  }
  static get minus() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'minus';
    return jsObj;
  }
  static get equal() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'equal';
    return jsObj;
  }
  static get bracketLeft() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'bracketLeft';
    return jsObj;
  }
  static get bracketRight() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'bracketRight';
    return jsObj;
  }
  static get backslash() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'backslash';
    return jsObj;
  }
  static get semicolon() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'semicolon';
    return jsObj;
  }
  static get quote() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'quote';
    return jsObj;
  }
  static get backquote() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'backquote';
    return jsObj;
  }
  static get comma() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'comma';
    return jsObj;
  }
  static get period() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'period';
    return jsObj;
  }
  static get slash() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'slash';
    return jsObj;
  }
  static get capsLock() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'capsLock';
    return jsObj;
  }
  static get f1() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f1';
    return jsObj;
  }
  static get f2() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f2';
    return jsObj;
  }
  static get f3() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f3';
    return jsObj;
  }
  static get f4() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f4';
    return jsObj;
  }
  static get f5() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f5';
    return jsObj;
  }
  static get f6() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f6';
    return jsObj;
  }
  static get f7() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f7';
    return jsObj;
  }
  static get f8() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f8';
    return jsObj;
  }
  static get f9() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f9';
    return jsObj;
  }
  static get f10() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f10';
    return jsObj;
  }
  static get f11() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f11';
    return jsObj;
  }
  static get f12() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f12';
    return jsObj;
  }
  static get printScreen() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'printScreen';
    return jsObj;
  }
  static get scrollLock() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'scrollLock';
    return jsObj;
  }
  static get pause() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'pause';
    return jsObj;
  }
  static get insert() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'insert';
    return jsObj;
  }
  static get home() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'home';
    return jsObj;
  }
  static get pageUp() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'pageUp';
    return jsObj;
  }
  static get mx_delete() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'delete';
    return jsObj;
  }
  static get end() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'end';
    return jsObj;
  }
  static get pageDown() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'pageDown';
    return jsObj;
  }
  static get arrowRight() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'arrowRight';
    return jsObj;
  }
  static get arrowLeft() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'arrowLeft';
    return jsObj;
  }
  static get arrowDown() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'arrowDown';
    return jsObj;
  }
  static get arrowUp() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'arrowUp';
    return jsObj;
  }
  static get numLock() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numLock';
    return jsObj;
  }
  static get numpadDivide() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadDivide';
    return jsObj;
  }
  static get numpadMultiply() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadMultiply';
    return jsObj;
  }
  static get numpadSubtract() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadSubtract';
    return jsObj;
  }
  static get numpadAdd() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadAdd';
    return jsObj;
  }
  static get numpadEnter() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadEnter';
    return jsObj;
  }
  static get numpad1() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpad1';
    return jsObj;
  }
  static get numpad2() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpad2';
    return jsObj;
  }
  static get numpad3() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpad3';
    return jsObj;
  }
  static get numpad4() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpad4';
    return jsObj;
  }
  static get numpad5() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpad5';
    return jsObj;
  }
  static get numpad6() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpad6';
    return jsObj;
  }
  static get numpad7() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpad7';
    return jsObj;
  }
  static get numpad8() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpad8';
    return jsObj;
  }
  static get numpad9() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpad9';
    return jsObj;
  }
  static get numpad0() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpad0';
    return jsObj;
  }
  static get numpadDecimal() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadDecimal';
    return jsObj;
  }
  static get intlBackslash() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'intlBackslash';
    return jsObj;
  }
  static get contextMenu() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'contextMenu';
    return jsObj;
  }
  static get power() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'power';
    return jsObj;
  }
  static get numpadEqual() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadEqual';
    return jsObj;
  }
  static get f13() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f13';
    return jsObj;
  }
  static get f14() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f14';
    return jsObj;
  }
  static get f15() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f15';
    return jsObj;
  }
  static get f16() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f16';
    return jsObj;
  }
  static get f17() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f17';
    return jsObj;
  }
  static get f18() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f18';
    return jsObj;
  }
  static get f19() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f19';
    return jsObj;
  }
  static get f20() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f20';
    return jsObj;
  }
  static get f21() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f21';
    return jsObj;
  }
  static get f22() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f22';
    return jsObj;
  }
  static get f23() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f23';
    return jsObj;
  }
  static get f24() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'f24';
    return jsObj;
  }
  static get open() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'open';
    return jsObj;
  }
  static get help() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'help';
    return jsObj;
  }
  static get select() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'select';
    return jsObj;
  }
  static get again() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'again';
    return jsObj;
  }
  static get undo() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'undo';
    return jsObj;
  }
  static get cut() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'cut';
    return jsObj;
  }
  static get copy() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'copy';
    return jsObj;
  }
  static get paste() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'paste';
    return jsObj;
  }
  static get find() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'find';
    return jsObj;
  }
  static get audioVolumeMute() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'audioVolumeMute';
    return jsObj;
  }
  static get audioVolumeUp() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'audioVolumeUp';
    return jsObj;
  }
  static get audioVolumeDown() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'audioVolumeDown';
    return jsObj;
  }
  static get numpadComma() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadComma';
    return jsObj;
  }
  static get intlRo() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'intlRo';
    return jsObj;
  }
  static get kanaMode() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'kanaMode';
    return jsObj;
  }
  static get intlYen() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'intlYen';
    return jsObj;
  }
  static get convert() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'convert';
    return jsObj;
  }
  static get nonConvert() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'nonConvert';
    return jsObj;
  }
  static get lang1() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'lang1';
    return jsObj;
  }
  static get lang2() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'lang2';
    return jsObj;
  }
  static get lang3() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'lang3';
    return jsObj;
  }
  static get lang4() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'lang4';
    return jsObj;
  }
  static get lang5() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'lang5';
    return jsObj;
  }
  static get abort() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'abort';
    return jsObj;
  }
  static get props() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'props';
    return jsObj;
  }
  static get numpadParenLeft() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadParenLeft';
    return jsObj;
  }
  static get numpadParenRight() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadParenRight';
    return jsObj;
  }
  static get numpadBackspace() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadBackspace';
    return jsObj;
  }
  static get numpadMemoryStore() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadMemoryStore';
    return jsObj;
  }
  static get numpadMemoryRecall() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadMemoryRecall';
    return jsObj;
  }
  static get numpadMemoryClear() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadMemoryClear';
    return jsObj;
  }
  static get numpadMemoryAdd() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadMemoryAdd';
    return jsObj;
  }
  static get numpadMemorySubtract() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadMemorySubtract';
    return jsObj;
  }
  static get numpadSignChange() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadSignChange';
    return jsObj;
  }
  static get numpadClear() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadClear';
    return jsObj;
  }
  static get numpadClearEntry() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'numpadClearEntry';
    return jsObj;
  }
  static get controlLeft() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'controlLeft';
    return jsObj;
  }
  static get shiftLeft() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'shiftLeft';
    return jsObj;
  }
  static get altLeft() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'altLeft';
    return jsObj;
  }
  static get metaLeft() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'metaLeft';
    return jsObj;
  }
  static get controlRight() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'controlRight';
    return jsObj;
  }
  static get shiftRight() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'shiftRight';
    return jsObj;
  }
  static get altRight() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'altRight';
    return jsObj;
  }
  static get metaRight() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'metaRight';
    return jsObj;
  }
  static get info() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'info';
    return jsObj;
  }
  static get closedCaptionToggle() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'closedCaptionToggle';
    return jsObj;
  }
  static get brightnessUp() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'brightnessUp';
    return jsObj;
  }
  static get brightnessDown() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'brightnessDown';
    return jsObj;
  }
  static get brightnessToggle() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'brightnessToggle';
    return jsObj;
  }
  static get brightnessMinimum() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'brightnessMinimum';
    return jsObj;
  }
  static get brightnessMaximum() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'brightnessMaximum';
    return jsObj;
  }
  static get brightnessAuto() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'brightnessAuto';
    return jsObj;
  }
  static get kbdIllumUp() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'kbdIllumUp';
    return jsObj;
  }
  static get kbdIllumDown() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'kbdIllumDown';
    return jsObj;
  }
  static get mediaLast() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'mediaLast';
    return jsObj;
  }
  static get launchPhone() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchPhone';
    return jsObj;
  }
  static get programGuide() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'programGuide';
    return jsObj;
  }
  static get exit() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'exit';
    return jsObj;
  }
  static get channelUp() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'channelUp';
    return jsObj;
  }
  static get channelDown() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'channelDown';
    return jsObj;
  }
  static get mediaPlay() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'mediaPlay';
    return jsObj;
  }
  static get mediaPause() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'mediaPause';
    return jsObj;
  }
  static get mediaRecord() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'mediaRecord';
    return jsObj;
  }
  static get mediaFastForward() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'mediaFastForward';
    return jsObj;
  }
  static get mediaRewind() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'mediaRewind';
    return jsObj;
  }
  static get mediaTrackNext() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'mediaTrackNext';
    return jsObj;
  }
  static get mediaTrackPrevious() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'mediaTrackPrevious';
    return jsObj;
  }
  static get mediaStop() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'mediaStop';
    return jsObj;
  }
  static get eject() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'eject';
    return jsObj;
  }
  static get mediaPlayPause() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'mediaPlayPause';
    return jsObj;
  }
  static get speechInputToggle() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'speechInputToggle';
    return jsObj;
  }
  static get bassBoost() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'bassBoost';
    return jsObj;
  }
  static get mediaSelect() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'mediaSelect';
    return jsObj;
  }
  static get launchWordProcessor() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchWordProcessor';
    return jsObj;
  }
  static get launchSpreadsheet() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchSpreadsheet';
    return jsObj;
  }
  static get launchMail() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchMail';
    return jsObj;
  }
  static get launchContacts() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchContacts';
    return jsObj;
  }
  static get launchCalendar() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchCalendar';
    return jsObj;
  }
  static get launchApp2() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchApp2';
    return jsObj;
  }
  static get launchApp1() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchApp1';
    return jsObj;
  }
  static get launchInternetBrowser() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchInternetBrowser';
    return jsObj;
  }
  static get logOff() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'logOff';
    return jsObj;
  }
  static get lockScreen() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'lockScreen';
    return jsObj;
  }
  static get launchControlPanel() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchControlPanel';
    return jsObj;
  }
  static get selectTask() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'selectTask';
    return jsObj;
  }
  static get launchDocuments() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchDocuments';
    return jsObj;
  }
  static get spellCheck() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'spellCheck';
    return jsObj;
  }
  static get launchKeyboardLayout() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchKeyboardLayout';
    return jsObj;
  }
  static get launchScreenSaver() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchScreenSaver';
    return jsObj;
  }
  static get launchAssistant() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchAssistant';
    return jsObj;
  }
  static get launchAudioBrowser() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'launchAudioBrowser';
    return jsObj;
  }
  static get newKey() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'newKey';
    return jsObj;
  }
  static get close() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'close';
    return jsObj;
  }
  static get save() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'save';
    return jsObj;
  }
  static get print() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'print';
    return jsObj;
  }
  static get browserSearch() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'browserSearch';
    return jsObj;
  }
  static get browserHome() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'browserHome';
    return jsObj;
  }
  static get browserBack() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'browserBack';
    return jsObj;
  }
  static get browserForward() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'browserForward';
    return jsObj;
  }
  static get browserStop() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'browserStop';
    return jsObj;
  }
  static get browserRefresh() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'browserRefresh';
    return jsObj;
  }
  static get browserFavorites() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'browserFavorites';
    return jsObj;
  }
  static get zoomIn() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'zoomIn';
    return jsObj;
  }
  static get zoomOut() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'zoomOut';
    return jsObj;
  }
  static get zoomToggle() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'zoomToggle';
    return jsObj;
  }
  static get redo() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'redo';
    return jsObj;
  }
  static get mailReply() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'mailReply';
    return jsObj;
  }
  static get mailForward() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'mailForward';
    return jsObj;
  }
  static get mailSend() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'mailSend';
    return jsObj;
  }
  static get keyboardLayoutSelect() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'keyboardLayoutSelect';
    return jsObj;
  }
  static get showAllWindows() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'showAllWindows';
    return jsObj;
  }
  static get gameButton1() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton1';
    return jsObj;
  }
  static get gameButton2() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton2';
    return jsObj;
  }
  static get gameButton3() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton3';
    return jsObj;
  }
  static get gameButton4() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton4';
    return jsObj;
  }
  static get gameButton5() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton5';
    return jsObj;
  }
  static get gameButton6() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton6';
    return jsObj;
  }
  static get gameButton7() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton7';
    return jsObj;
  }
  static get gameButton8() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton8';
    return jsObj;
  }
  static get gameButton9() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton9';
    return jsObj;
  }
  static get gameButton10() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton10';
    return jsObj;
  }
  static get gameButton11() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton11';
    return jsObj;
  }
  static get gameButton12() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton12';
    return jsObj;
  }
  static get gameButton13() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton13';
    return jsObj;
  }
  static get gameButton14() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton14';
    return jsObj;
  }
  static get gameButton15() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton15';
    return jsObj;
  }
  static get gameButton16() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButton16';
    return jsObj;
  }
  static get gameButtonA() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonA';
    return jsObj;
  }
  static get gameButtonB() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonB';
    return jsObj;
  }
  static get gameButtonC() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonC';
    return jsObj;
  }
  static get gameButtonLeft1() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonLeft1';
    return jsObj;
  }
  static get gameButtonLeft2() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonLeft2';
    return jsObj;
  }
  static get gameButtonMode() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonMode';
    return jsObj;
  }
  static get gameButtonRight1() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonRight1';
    return jsObj;
  }
  static get gameButtonRight2() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonRight2';
    return jsObj;
  }
  static get gameButtonSelect() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonSelect';
    return jsObj;
  }
  static get gameButtonStart() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonStart';
    return jsObj;
  }
  static get gameButtonThumbLeft() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonThumbLeft';
    return jsObj;
  }
  static get gameButtonThumbRight() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonThumbRight';
    return jsObj;
  }
  static get gameButtonX() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonX';
    return jsObj;
  }
  static get gameButtonY() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonY';
    return jsObj;
  }
  static get gameButtonZ() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'gameButtonZ';
    return jsObj;
  }
  static get fn() {
    var jsObj = new PhysicalKeyboardKey();
    jsObj['className'] = 'PhysicalKeyboardKey';
    jsObj['constructorName'] = 'fn';
    return jsObj;
  }
}
export { PhysicalKeyboardKey };
